Object Storage

Create event destination

post/object-storage/event-destinations

Add a destination for bucket events: an https webhook (each delivery is signed with a secret shown only in this response) or one of your Slack or Discord channels. Then add event rules to your buckets.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

Create an event destination. A webhook's signing secret is returned once.

application/jsonRequired
name*string
Range1 ≤ length ≤ 64
type*string
Value in"webhook""notificator"
url?string | null
Rangelength ≤ 2048
notificator_id?string | null

A Slack or Discord channel of Cloud Alerts

Rangelength ≤ 36
payload_format?string
Default"cubepath"Value in"cubepath""s3"

Responses

Successful Response

application/json

destination*ObjectStorageEventDestinationOut
Properties (14)
uuid*string
name*string
type*string
url_masked?string | null
notificator?ObjectStorageEventChannelOut | null
Properties (3)
id*string
name*string
type*string
payload_format*string
status*string
disabled_reason?string | null
previous_secret_expires_at?string | null
last_success_at?string | null
last_failure_at?string | null
last_error?string | null
rules_count?integer
Default0
created_at?string | null
signing_secret?string | null

Shown only in this response (webhooks)